Build Docker Image
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Build Docker Image action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request
REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
project_namerequiredstring
The human-readable ID of the projectExample: "my-project"
pipeline_idrequiredinteger
The ID of the pipelineExample: 123
action_idrequiredinteger
The ID of the actionExample: 456
POST PARAMETERS
typerequiredstring enum
The type of the actionAllowed enum:
DOCKERFILEurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksafter_action_idinteger
The numerical ID of the action, after which this action should be addednamerequiredstring
The name of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondsloopstring[]
The list of commands that will be executed in a loopcurrent_revisionstring
The git revision of the last successful run of the actionpermissionsPermissionsView
Access permissions configurationdocker_image_tagstring
The tag of the Docker imagerepositorystring
The name of the Docker repositoryregistrystring
The URL of the Docker registryinsecure_registryboolean
If set to true, the registry will be accessed over HTTP instead of HTTPSregionstring
The region for the Docker registry (for AWS ECR)loginstring
The username for the Docker registrypasswordstring
The password for the Docker registrytarget_stagestring
The target stage of the Dockerfiledo_not_prune_imagesboolean
If set to true, images will not be pruned after the buildversionsstring[]
The list of image versions to build or pushdocker_registrystring enum
The type of registry from which the image is retrievedAllowed enum:
NONE,DOCKER_HUB,AMAZON_ECR,GOOGLE_GCR,GOOGLE_ARTIFACT_REGISTRY,OTHER,GIT_HUB_CONTAINER_REGISTRY,PACKAGE_REGISTRY,DIGITAL_OCEAN_CONTAINER_REGISTRYtarget_platformstring
The target platform for the Docker buildcache_modestring enum
The caching mode for Docker buildAllowed enum:
MIN,MAXpullboolean
If set to false, the image will not be pulled before buildingtarget_pathstring
The target path in the containeruse_image_from_actionboolean
If set to true, the image from another action will be useddocker_build_action_idinteger
The ID of the action from which the Docker image will be useddocker_build_action_namestring
The name of the action from which the Docker image will be usedimage_locationstring enum
The location of the image used by the actionAllowed enum:
PUBLIC_REGISTRY,PRIVATE_REGISTRY,ACTION,PACKAGE_REGISTRYdockerfile_pathstring
The path to the Dockerfilecontext_pathstring
The path to the Docker build contextprovenancestring enum
The provenance attestation mode for the buildAllowed enum:
NONE,MIN,MAXbuild_argsstring[]
The list of build arguments to pass to the Docker buildsecretsDockerSecretView[]
The list of secrets to pass to the Docker buildintegrationDockerIntegrationRef
Docker registry integration (DOCKER_HUB|GOOGLE_SERVICE_ACCOUNT|AMAZON|GIT_HUB|GIT_HUB_ENTERPRISE)packagestring
The identifier of the package from package registryResponse
RESPONSE BODY
typestring enum
The type of the actionAllowed enum:
DOCKERFILEurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the actionnamestring
The name of the actioncurrent_revisionstring
The git revision of the last successful run of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondslast_execution_statusstring enum
The status of the last run of the actionAllowed enum:
INPROGRESS,ENQUEUED,TERMINATED,SUCCESSFUL,FAILED,INITIAL,NOT_EXECUTED,SKIPPED,TERMINATING,WAITING_FOR_APPLY,WAITING_FOR_VARIABLES,WAITING_FOR_SETTABLE_VARIABLES,WAITING_FOR_VT_SESSIONpipelineShortPipelineView
Short representation of a pipelinepermissionsPermissionsView
Access permissions configurationloopstring[]
The list of commands that will be executed in a loopdocker_image_tagstring
The tag of the Docker imagerepositorystring
The name of the Docker repositoryregistrystring
The URL of the Docker registryinsecure_registryboolean
If set to true, the registry will be accessed over HTTP instead of HTTPSregionstring
The region for the Docker registry (for AWS ECR)loginstring
The username for the Docker registrypasswordstring
The password for the Docker registrytarget_stagestring
The target stage of the Dockerfiledo_not_prune_imagesboolean
If set to true, images will not be pruned after the buildversionsstring[]
The list of image versions to build or pushdocker_registrystring enum
The type of registry from which the image is retrievedAllowed enum:
NONE,DOCKER_HUB,AMAZON_ECR,GOOGLE_GCR,GOOGLE_ARTIFACT_REGISTRY,OTHER,GIT_HUB_CONTAINER_REGISTRY,PACKAGE_REGISTRY,DIGITAL_OCEAN_CONTAINER_REGISTRYtarget_platformstring
The target platform for the Docker buildcache_modestring enum
The caching mode for Docker buildAllowed enum:
MIN,MAXpullboolean
If set to false, the image will not be pulled before buildingdockerfile_pathstring
The path to the Dockerfilecontext_pathstring
The path to the Docker build contextprovenancestring enum
The provenance attestation mode for the buildAllowed enum:
NONE,MIN,MAXbuild_argsstring[]
The list of build arguments to pass to the Docker buildsecretsDockerSecretView[]
The list of secrets to pass to the Docker buildintegrationIntegrationIdentifierView
The integration used by the actionpackagestring
The identifier of the package from package registryLast modified on Feb 18, 2026
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Build dockerfile",
"type": "DOCKERFILE",
"trigger_time": "ON_EVERY_EXECUTION",
"docker_image_tag": "14.06",
"region": "us-east-1",
"integration": {
"identifier": "docker-registry"
},
"dockerfile_path": "dir/Dockerfile",
"repository": "MyDockerRepo",
"insecure_registry": true,
"do_not_prune_images": true,
"secrets": [
{
"id": "someSecret",
"value": "path_to_secret",
"type": "FILE"
},
{
"id": "mysecret",
"value": "MY_ENV_VAR_KEY",
"type": "ENV"
}
],
"build_args": [
"key=value"
]
}'STATUS200 OK